<%@ LANGUAGE=VBScript %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
  <title>EtherRain Controller Setup for HS2</title>
<link rel="stylesheet" type="text/css" href="/style.css"/>

<script language="JavaScript" type="text/javascript">
 <!--
 
  

   function checkMakeVars ( form )
	 {
        var tstr = "";
		var i;
		var j;
		var k = 0;
		var wstr = "";
		var nstr = "";
		//first check that a name exists 
		if (  form.cn.value.length == 0) {
		    alert ("A controller name is required.  Make sure the name matches a name held within one of your EtherRain controllers.");
		    form.cn.focus();
			return false;
	    }
		if (  form.cp.value.length == 0) {
		    alert ("A password is required.  Make sure the password matches that held within your named EtherRain controller.");
		    form.cp.focus();
		    return false;
	    }
		
       //now put all the data into one string
	    wstr = form.cn.value + ";" + form.cp.value + ";" ;
		//alert(wstr);
		for (i=1;i <= 8;i++) {
		       tstr = "z" + i ;
	 	       wstr = wstr + form[tstr].value ;
			   if (i < 8) {
			     wstr = wstr + ";" ;
			   }
	    }
	    form.ercontroller.value = wstr;
		//alert(wstr);
		return true;
		  
		}

   function clearForm ( form )
	 {
        var tstr = "";
		var i;
		var k;		
		k = confirm("This will clear all fields on the form.  Continue?");
		//alert(k);
		if (k) {
		   document.controllerform.cn.value = ""; 
		   document.controllerform.cp.value = "";
		   for (i=1;i <= 8;i++) {
		       tstr = "z" + i ;
	 	       document.controllerform[tstr].value = "";
	       }
  		}

	   return
     }


	 
	//-->
</script> 

</head>


<%
Dim numlines 
'Dim progAry(20,9)   '20 lines, 9 params per line
Dim cAry
dim editmode
Dim rstr




function saveCycleParameters(cstr)

'save the cycles here
 if len(cstr) > 0 then
	'use the following  command to save the cycles:  (creates section "stored cycles" and key "ercycles"
	 hs.SaveINISetting "stored cycles","ercycles",cstr,"EtherRain.ini"
 else
    'instead of storing no data, lets just remove the key from the section
	'we'll put the controller data under another section "stored controllers"
	'because currently there is only one key, we could remove the whole section
	'lets just clear the section; if we put more in EtheRain.ini we'll put it in another section
	hs.ClearINISection "stored cycles", "EtherRain.ini" 
	
 end if
	
 End Function

 Function parseControllerParams (cstr)
     'Response.Write "<p><b>controller is: " & cstr & "</b></p><hr>"
     'cstr is in form: controller name; controllerpw; zn1;zn2;zn3;zn4;zn5;zn6;zn7;zn8
      cAry = split(cstr,";")
 
 End Function
 
 

'    ***End Function Declaration***


'    **** main script block  *****
'if editmode is false, means we are adding
editmode = false  

rstr = Request.Form("controller")
if len(rstr) > 0 then
   editmode = true
   parseControllerParams(rstr)
else
   editmode = false
   redim cAry(10)
   for i =0 to 9
    cAry(i) = ""
   next
end if



%>

<body style= "margin-left: 4%; margin-right: 4%; background:white; 
			 color: black; 
			 font-size: 11px;
			 font-weight: normal;
			 font-family: verdana, arial, sans-serif;"
>

	  <div style="float:left; width:638px; height:26px;padding-top:3px;padding-left:2px; background-color: black;border-bottom:solid 2px grey;">
	   
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Start" alt="Start" onClick="location.href='/start/start.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Home" alt="Home" onClick="location.href='/'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Home" alt="EtherRain Home" onClick="location.href='er_home.asp'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Help" alt="EtherRain Help" onClick="location.href='er_help.asp'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  </div>

    <div style="float:left; width:640px; text-align: center;
			font-size: 11px; font-weight: normal;
	         text-align:center;   /* hack for ie5  */
			font-family: verdana, arial, sans-serif; ">
   

    <div style="float:left; width: 638px;height:60px; 
		        border: 1px solid forestgreen;
			    background-color: lightgreen;
				font:arial, sans-serif; ">
		 <div style="float:left; width: 80px;margin-top:6px;">
	         <img style= "float:left; padding-left:35px;" align="middle" alt="EtherRain Logo" src="ershieldlogo.png" />  
	     </div>
		 <div style= "float:left;width: 480px;padding-top:7px;">
              <p style="color:white;font-weight:600; font-size:24px;
			            margin-top:5px; margin-bottom:2px;padding-top:5px;text-align:center;">
		             EtherRain Define Controller
			  </p>
		 </div>
    </div>

    <div style="float:left; width:638px;height:600px;margin-top:2px;border:1px solid silver;
			text-align:left; overflow: auto;">
	       <p style="padding-left:40px; padding-right:30px; margin-top:8px;text-align:justify;">
		    Fields used to define a controller are presented below.  A controller name and 
			controller password are required to define a controller.      
			Zone names are optional, however their use is encouraged because they very helpful 
			in linking valves to areas of irrigation and in organizing events, especially when multiple controllers exist.  
 	       
      <form name="controllerform" action="er_home.asp" method="post" onsubmit="return checkMakeVars(this);">
			<table style="text-align: center;font-family: Verdana, sans-serif, Arial;
	   			   font-weight: normal;
				  color: #404040;
				  width: 400px;
				  background-color: #fafafa;
				  border: 1px #d79900 solid;
				  border-collapse: collapse;
				  border-spacing: 0px;"
 				  cellspacing="0" cellpadding="7" align="center" border="0">
         		  <thead bgcolor=whitesmoke >
            <tr style= "background-color: #fff2ba;">
              <th  style="font-size: 10px;font-weight: bold; border: 1px #d79900 solid;" >Name</th>
              <th style="font-size: 10px;font-weight: bold;border-bottom: 1px #d79900 solid;">Value</th>
            </tr>
   		  
		  </thead>
		  <tbody >
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Controller Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:150px;font-size:11px;" TYPE="text" NAME="cn" value = "<% Response.Write cAry(0) %>" maxlength="15" SIZE="16">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Controller Password:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:50px;font-size:11px;" TYPE="text" NAME="cp" value = "<% Response.Write cAry(1) %>" maxlength="8" SIZE="8">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 1 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z1" value = "<% Response.Write cAry(2) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 2 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z2" value = "<% Response.Write cAry(3) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 3 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z3" value = "<% Response.Write cAry(4) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 4 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z4" value = "<% Response.Write cAry(5) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 5 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z5" value = "<% Response.Write cAry(6) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 6 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z6" value = "<% Response.Write cAry(7) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 7 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z7" value = "<% Response.Write cAry(8) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
            <tr style="border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;">
                <td style="padding-left:15px; text-align:left;padding-left:15px;font-size:11px;">Zone 8 Name:</td>
		        <td style="text-align:left;font-size:11px;padding-left:10px;">
			  	 <INPUT style="width:200px;font-size:11px;" TYPE="text" NAME="z8" value = "<% Response.Write cAry(9) %>" maxlength="25" SIZE="26">
		        </td>
		    </tr>
          </tbody>
        </table>
		<INPUT TYPE="hidden" NAME = "postcheck" VALUE="1" />
		<INPUT TYPE="hidden" NAME = "ercontroller" VALUE="" />
        <p style="font-size:14px;margin-top:10px; margin-bottom:10px;padding-left: 45px; text-align:center; font:arial; ">
           <input type="submit" value="Save Controller" /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           <input style="font-size:10px;" type="button" value=" Clear " onclick="clearForm(this);"/>
		</p>
  </form>

    </div>
     <p style="padding-left:10px;  font-size:10px; text-align:left; ">
          &copy; 2009 QuickSmart Development www.quicksmart.com
      </p>
   </div>

 </body>
</html>
