<%@ LANGUAGE=VBScript %>


<%


Dim cyclesFound  
Dim progAry(25,9)   '25 lines, 9 params per line to hold cycles
Dim runvals(8)		'this holds the values that are being run
Dim tparams		'use this for temporary splits
Dim cAry			'array to hold controller data
Dim runmode			'true if a runcycle post variable was provided
Dim errmode			'true if no controller data received
Dim rstr
Dim zones
Dim tstr, tempstr
Dim qparstr
Dim controllerstr
Dim res
Dim cyndx

Function readCycles()
    'this vbscript function is executed on the server
    'we cant read or write files to the server using vbscript
	'we don't want to use hs global variables because they are destroyed at reboot
	'we will use the hs.getINISection and hs.saveINISetting functions get and save the cycles
	'use the following  command to save the cycles:  (creates section "stored cycles" and key "ercycles"
	'       hs.SaveINISetting "stored cycles","ercycles",erVar,"EtherRain.ini"
	
	Dim i, j, k, m, n
	Dim wstr, kstr
	Dim erVar
	Dim cycles   'this is a one dimensional array
	Dim params   'this is a one dimensional array
	Dim estr
	Dim items
	Dim section
	dim cyclestr 'this is the posted cycle string - the form calls this same page
	
	erVar = ""
	section = hs.GetINISection("stored cycles", "EtherRain.ini")
	if len(section) > 0 then
		items = split(section,chr(0))
		for i = 0 to ubound(items)
		      'Response.Write "<p><b>Item " & items(i) & "</b></p><hr>"
			  j = instr(items(i),"ercycles=")
			  if j > 0 then 
			    erVar = mid(items(i),j+9)
				exit for
			  end if
		next 
	    end if
    'Response.Write "<p><b>ER Var length is : " & len(erVar) & "bytes)</b></p><hr>"
    'Response.Write "<p><b>ER Var is : " & erVar & "</b></p><hr>"
	
	if len(erVar) = 0  then
	      'now initialize the empty array
		  for i = 0 to 24
		    for j = 0 to 8
			  progAry(i,j) = ""
			next
		  next
	else  'parse the storage variable here
	   'the cycles are separated by "|" 
	   'the values are separated by ";"
	   'we need to utilize the split function twice to load progAry
	   cycles = Split(erVar, "|")
	   for i = 0 to ubound(cycles)
	      params = split(cycles(i), ";")
		  for j = 0 to ubound(params)
		    progAry(i,j) = params(j)
		  next
	   next
	end if
	'8-31-2009 if no cycles you get an error; below fixes
	if IsArray(cycles) = True then 
	  readCycles = ubound(cycles)+1
	  else
	  readCycles = 0
	end if
End Function

 Function parseControllerParams (cstr)
     'Response.Write "<p><b>controller is: " & cstr & "</b></p><hr>"
     'cstr is in form: controller name; controllerpw; zn1;zn2;zn3;zn4;zn5;zn6;zn7;zn8
	  
      cAry = split(cstr,";")
 
 End Function
 
'    ***End Function Declaration***

'
'    **** main script block  *****
'
'if runmode is false, means we setting up the cycle
errmode = false
runmode = false
cyclesFound = 0
cyndx = 0  'this is the index of the selected cycle; zero upon entry; but set upon re-entry

'first and always set up the quickcycle lists and controls
rstr = Request.Form("controller")   'this is set on reference from er_home.asp and upon re-entry
if len(rstr) > 0 then
   cyclesFound = readCycles()
   controllerstr = rstr  'save the whole controller string for re-entry use
   parseControllerParams(rstr)
   zones = 0
   'to get zones, need to find the first cAry() having empty string
   for i = 2 to ubound(cAry)
     if len(cAry(i)) > 0 then 
	    zones = zones + 1
	 else
	    exit for
	 end if
   next
   'check to see if cyndx has been posted through a re-enter;this will initialize the zone box
   tempstr =  Request.Form("cyclendx") 
   'Response.Write "<p><b>cyclendx is: " & tempstr & "</b></p><hr>"

   if len(tempstr) > 0 then
      cyndx = Cint(tempstr)
	  
   end if
   
else
   errmode = true      'display error message, no controller defined
   zones = 0
end if
'now if we've received a runcycle post, then we need to run the cycle
tempstr =  Request.Form("runcycle")
if len(tempstr) > 0 then
   runmode = true       'this lets us post results instead of intro paragraph
   'make sure to re-enter the zone entries
   'if you don't the default zone values for a cycle will be displayed 
   for i = 0 to 7
     runvals(i) = "0"
   next
   tparams = split(tempstr,";")
   for i = 0 to ubound(tparams)
     runvals(i) = tparams(i)
   next
     
   'the user could have selected a cycle and changed some times
   'copy the runvalues into the runvals array
   'the posted variable contains the values
   'the controller name and password should be:  cAry(0) cAry(1)
   'the runcycle post variable should only contain the zone times z1;z2;z3; ... z8
  'qparstr = controller name, controller password, zone values
    qparstr = trim(cAry(0)) & ";" & trim(cAry(1)) & ";"
	for i = 0 to 7
	  qparstr = qparstr & runvals(i)
	  if i < 7 then qparstr = qparstr & ";"
	next
  ' example:     Garden-Test; pw; 0;0;1;1;0;0;0;0

   'Response.Write "<p><b>qparstr is: " & qparstr & "</b></p><hr>"

  's = hs.RunEx("test.txt","launch_app","notepad.exe")
   res = hs.RunEx("EtherRain.vb","runCycleRet",qparstr)

    'Response.Write "<p><b>response is: " & res & "</b></p><hr>"
 
end if




%>

 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
  <title>EtherRain Run Quick Cycle for HS2</title>
<link rel="stylesheet" type="text/css" href="/style.css"/>

<script language="JavaScript" type="text/javascript">
 <!--

  //load in the cycle data to js
  	<%		
		Response.Write "var zz = " & zones & ";"
	%>
        var zt = new Array(); 
		//now setup javascript time parameters
	<%
		for i = 0 to cyclesFound-1 
		  tstr = "zt[" & i & "]= new Array("
		  for  j = 0 to zones-1
		     tstr = tstr & """" & progAry(i,j+1) & """"
			 if  j < zones-1 then 
			    tstr = tstr & ","
			 else 
			    tstr = tstr & " );" & vbcrlf
		     end if
	      next
		  Response.Write tstr
		next
	%>	

  function updateCyMins(ndx)
	{
        var j = ndx;
		var i;
		var tstr;

		tstr = cycleselect.options[j].text;
		for (i=0;i < zz;i++) {
		  tstr = "z" + (i);
 		  cycleform[tstr].value = zt[j][i];
	    }
	   //update the selected index for any re-entry
	   document.cycleform.cyclendx.value = ndx;
	} 
   function checkMakeVars ( form )
	{
        var tstr = "";
		var i;
		var j;
		var k = 0;
		var wstr = "";
		var nstr = "";
		
       //now put all the data into one string
	    wstr = "" ;
		//alert(wstr);
		for (i=0;i < zz;i++) {
		  tstr = "z" + (i);
 		  wstr = wstr + cycleform[tstr].value ;
		  if ( i < zz-1) {
		     wstr = wstr + ";";
		  }
	    }
	    form.runcycle.value = wstr;
		//alert(wstr);
		//return false;
		return true;
		  
	}



	 
	//-->
</script> 

</head>


<body style= "margin-left: 4%; margin-right: 4%; background:white; 
			 color: black; 
			 font-size: 11px;
			 font-weight: normal;
			 font-family: verdana, arial, sans-serif;"
>

	  <div style="float:left; width:638px; height:26px;padding-top:3px;padding-left:2px; background-color: black;border-bottom:solid 2px grey;">
	   
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Start" alt="Start" onClick="location.href='/start/start.aspx'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="HomeSeer Home" alt="Home" onClick="location.href='/'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Home" alt="EtherRain Home" onClick="location.href='er_home.asp'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  <input style="width:120px;" type="button" class="linkrowbutton" value="EtherRain Help" alt="EtherRain Help" onClick="location.href='er_help.asp'" onmouseover="this.className='linkrowbuttonselected';" onmouseout="this.className='linkrowbutton';">
	  </div>

    <div style="float:left; width:640px; text-align: center;
			font-size: 11px; font-weight: normal;
	         text-align:center;   /* hack for ie5  */
			font-family: verdana, arial, sans-serif; ">
   

    <div style="float:left; width: 638px;height:60px; 
		        border: 1px solid forestgreen;
			    background-color: lightgreen;
				font:arial, sans-serif; ">
		 <div style="float:left; width: 80px;margin-top:6px;">
	         <img style= "float:left; padding-left:35px;" align="middle" alt="EtherRain Logo" src="ershieldlogo.png" />  
	     </div>
		 <div style= "float:left;width: 480px;padding-top:7px;">
              <p style="color:white;font-weight:600; font-size:24px;
			            margin-top:5px; margin-bottom:2px;padding-top:5px;text-align:center;">
		             EtherRain Run Quick Cycle
			  </p>
		 </div>
    </div>

    <div style="float:left; width:638px;height:520px;margin-top:2px;border:1px solid silver;
		text-align:left; overflow: auto;">
	    <%
		  if runmode = false then 
		  	 Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:8px;text-align:justify;"">"
			 Response.Write "To run a quick cycle (also called a manual cycle) select a pre-defined cycle from "
			 Response.Write "the list box or enter time values in the zone fields provided.  Then click the "
			 Response.Write "Run button. " 
			 Response.Write "</p>"
	    	 Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:25px;text-align:justify;"">"
			 Response.Write "This Quick Cycle service does not apply any setback information, the time values displayed "
			 Response.Write "in the zone time fields will be used in the cycle.  "
			 Response.Write "</p>"
	    	 Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:10px;color:steelblue; font-size:12px; font-weight:bold; text-align:center;"">"
		  else
		     'show the results of the run
			 Response.Write "<div style=""float:left;margin-left:50px; width:500px;height:80px;"
			 Response.Write "margin-top:20px;margin-bottom:20px;border:1px solid steelblue;text-align:left;"">"
			   Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:10px;"
			   Response.Write "margin-bottom: 8px;font-weight:bold; font-size:12px; color:steelblue; text-align:center;"">"
		 	      Response.Write "QuickCycle Results"
			   Response.Write "</p>"
			   if instr(res,"Irrigation CMD Delivered") > 0 then 			 
		          Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:15px;margin-bottom: 8px;text-align:center;"">"
		 	   else
		          Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:15px;margin-bottom: 8px;color:red;text-align:center;"">"
			   end if   
				  Response.Write res
			   Response.Write "</p>"
		     Response.Write "</div>"  
			 Response.Write "<br style=""clear:both;"">"
		  end if
		
		
		  if errmode = false then
	          Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:10px;color:steelblue; font-size:12px; font-weight:bold; text-align:center;"">"
			  Response.Write "Using Controller: " & cAry(0)
		  else 
	          Response.Write "<p style=""padding-left:40px; padding-right:30px; margin-top:8px;margin-bottom:10px;color:red; font-size:12px;  text-align:center;"">"
			  Response.Write "Controller information not provided. Can't run Quick Cycle."
		 end if
		 Response.Write "</p>"
	
    	 if errmode = false then
		    
           Response.Write "<div style=""float:left; width:230px;height:300px;margin-top:15px;margin-left:14px;"
		   Response.Write "	text-align:left; overflow: auto;"">"
			
		      Response.Write "<p style=""padding-left:20px; padding-right:20px; margin-top:5px;margin-bottom:8px;color:steelblue; font-size:12px;font-weight:bold;  text-align:center;"">"
			  Response.Write "Defined Cycles"
			  Response.Write "</p>"
		      Response.Write "<p style=""padding-left:20px; padding-right:20px; margin-top:8px;margin-bottom:10px;color:red; font-size:12px;  text-align:center;"">"

		      if cyclesFound > 0 then
		        Response.Write "<select style=""width:150px;"" name=""cycleselect"" id=""sel1"" size=""10"" onchange=""updateCyMins(this.options[this.selectedIndex].value);"">"
				for i = 0 to cyclesFound-1
				   if i = cyndx then 
    			   Response.Write "<option value=""" & i & """ selected>" & progAry(i,0) & "</option>"
				   else
    			   Response.Write "<option value=""" & i & """>" & progAry(i,0) & "</option>"
				   end if
				next
		      Response.Write "</select>"
			  else
			  Response.Write "<select style=""width:150px;"" name=""cycleselect"" id=""sel1"" size=""10"" >"
		      Response.Write "</select>"
			  end if
			 Response.Write "</p>"
	          Response.Write "<p style=""padding-left:20px; padding-right:20px; margin-top:5px;margin-bottom:10px;color:darkgrey; font-size:10px;  text-align:center;"">"
			  Response.Write "(Use CycleBuilder to define cycles)."
		     Response.Write "</p>"
			
		
			
		   Response.Write "</div>"
           Response.Write "<div style=""float:left; width:340px;height:330px;margin-top:15px;text-align:left; overflow: auto;"">"
		
      		Response.Write "<form name=""cycleform"" action=""er_quickcycle.asp"" method=""post"" onsubmit=""return checkMakeVars(this);"">"
				  Response.Write "<table style=""text-align: center;font-family: Verdana, sans-serif, Arial;"
	   			   		 Response.Write "font-weight: normal;color: #404040;width: 260px;background-color: #fafafa;"
						 Response.Write "border: 1px #d79900 solid;border-collapse: collapse;border-spacing: 0px;"""
 				  	     Response.Write "cellspacing=""0"" cellpadding=""3"" align=""center"" border=""0"">"
         		  Response.Write "<thead bgcolor=whitesmoke >"
            	  Response.Write "<tr style= ""background-color: #fff2ba;"">"
              	  Response.Write "<th  style=""font-size: 12px;font-weight: bold;color:peru; border: 1px #d79900 solid;"" >Zone</th>"
              	  Response.Write "<th style=""font-size: 12px;font-weight: bold;color:peru; border-bottom: 1px #d79900 solid;"">Minutes</th>"
            	  Response.Write "</tr>"
   		  
		  		  Response.Write "</thead>"
		  		  Response.Write "<tbody >"
				 
				   for i = 0 to zones-1
				   
           		     Response.Write "<tr style=""border-bottom: 1px dotted #d79900;text-align: left; font-family: Verdana; font-weight: 400;color: #404040;"">"
                      Response.Write "<td style=""padding-left:15px; text-align:left;width:170px;font-size:12px;"">" & cAry(i+2) & ":</td>"
		        	  Response.Write "<td style=""text-align:center;font-size:11px;padding-left:10px;"">"
			  	 	  if runmode = true then
					  	  Response.Write "<INPUT style=""width:18px;font-size:12px;"" TYPE=""text"" NAME=""z" & i & """ value = """ & runVals(i)    & """ maxlength=""2"" SIZE=""3"">"
					  else 
					      Response.Write "<INPUT style=""width:18px;font-size:12px;"" TYPE=""text"" NAME=""z" & i & """ value = """ & progAry(cyndx,i+1)    & """ maxlength=""2"" SIZE=""3"">"
		        	  end if
					  Response.Write "</td>"
		    	     Response.Write "</tr>"
				   
				   next
				   
				  

          		 Response.Write "</tbody>"
        	Response.Write "</table>"
					Response.Write "<INPUT TYPE=""hidden"" NAME = ""postcheck"" VALUE=""1"" />"
					Response.Write "<INPUT TYPE=""hidden"" NAME = ""controller"" VALUE=""" & controllerstr & """ />"
					Response.Write "<INPUT TYPE=""hidden"" NAME = ""runcycle"" VALUE="""" />"
					Response.Write "<INPUT TYPE=""hidden"" NAME = ""cyclendx"" VALUE=""0"" />"
        	Response.Write "<p style=""font-size:14px;margin-top:10px; margin-bottom:10px;padding-left: 45px; text-align:center; font:arial; "">"
           	   Response.Write "<input type=""submit"" value=""Run Cycle"" /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
			Response.Write "</p>"
  			Response.Write "</form>"
  		    Response.Write "</div>"
		 end if
		 
         %>
	
	   
	</div>
     <p style="padding-left:10px;  font-size:10px; text-align:left; ">
         &copy; 2011 QuickSmart Development www.quicksmart.com
      </p>
   </div>

 </body>
</html>
